Untitled

mail@pastecode.io avatar
unknown
plain_text
2 years ago
4.4 kB
1
Indexable
Never
 => ERROR [narrative-data_server 10/10] RUN prefect deployment build /app/src/process_connection.py:process_connection_flow -n process_connection -q data-server  55.5s
------
 > [narrative-sidekiq internal] load build context:
------
------
 > [narrative-sidekiq_high_priority internal] load build context:
------
------
 > [narrative-rails internal] load build context:
------
------
 > [narrative-data_server 10/10] RUN prefect deployment build /app/src/process_connection.py:process_connection_flow -n process_connection -q data-server -v latest:
#0 17.88 Found flow 'process_connection'
#0 17.89 Default '.prefectignore' file written to /app/.prefectignore
#0 52.19 An exception occurred.
#0 52.19 Traceback (most recent call last):
#0 52.19   File "/usr/local/lib/python3.8/site-packages/asgi_lifespan/_concurrency/asyncio.py", line 44, in run_and_fail_after
#0 52.19     await asyncio.wait_for(coroutine(), timeout=seconds)
#0 52.19   File "/usr/local/lib/python3.8/asyncio/tasks.py", line 501, in wait_for
#0 52.19     raise exceptions.TimeoutError()
#0 52.19 asyncio.exceptions.TimeoutError
#0 52.19
#0 52.19 During handling of the above exception, another exception occurred:
#0 52.19
#0 52.19 Traceback (most recent call last):
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/cli/_utilities.py", line 41, in wrapper
#0 52.19     return fn(*args, **kwargs)
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/utilities/asyncutils.py", line 205, in coroutine_wrapper
#0 52.19     return run_async_in_new_loop(async_fn, *args, **kwargs)
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/utilities/asyncutils.py", line 156, in run_async_in_new_loop
#0 52.19     return anyio.run(partial(__fn, *args, **kwargs))
#0 52.19   File "/usr/local/lib/python3.8/site-packages/anyio/_core/_eventloop.py", line 70, in run
#0 52.19     return asynclib.run(func, *args, **backend_options)
#0 52.19   File "/usr/local/lib/python3.8/site-packages/anyio/_backends/_asyncio.py", line 292, in run
#0 52.19     return native_run(wrapper(), debug=debug)
#0 52.19   File "/usr/local/lib/python3.8/asyncio/runners.py", line 44, in run
#0 52.19     return loop.run_until_complete(main)
#0 52.19   File "/usr/local/lib/python3.8/asyncio/base_events.py", line 616, in run_until_complete
#0 52.19     return future.result()
#0 52.19   File "/usr/local/lib/python3.8/site-packages/anyio/_backends/_asyncio.py", line 287, in wrapper
#0 52.19     return await func(*args)
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/cli/deployment.py", line 879, in build
#0 52.19     deployment = await Deployment.build_from_flow(
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/deployments.py", line 707, in build_from_flow
#0 52.19     await deployment.load()
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/deployments.py", line 490, in load
#0 52.19     async with get_client() as client:
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/client/orion.py", line 1874, in __aenter__
#0 52.19     self._ephemeral_lifespan = await self._exit_stack.enter_async_context(
#0 52.19   File "/usr/local/lib/python3.8/contextlib.py", line 568, in enter_async_context
#0 52.19     result = await _cm_type.__aenter__(cm)
#0 52.19   File "/usr/local/lib/python3.8/contextlib.py", line 171, in __aenter__
#0 52.19     return await self.gen.__anext__()
#0 52.19   File "/usr/local/lib/python3.8/site-packages/prefect/client/base.py", line 90, in app_lifespan_context
#0 52.19     await context.__aenter__()
#0 52.19   File "/usr/local/lib/python3.8/site-packages/asgi_lifespan/_manager.py", line 90, in __aenter__
#0 52.19     await self.startup()
#0 52.19   File "/usr/local/lib/python3.8/site-packages/asgi_lifespan/_manager.py", line 31, in startup
#0 52.19     await self._concurrency_backend.run_and_fail_after(
#0 52.19   File "/usr/local/lib/python3.8/site-packages/asgi_lifespan/_concurrency/asyncio.py", line 46, in run_and_fail_after
#0 52.19     raise TimeoutError
#0 52.19 TimeoutError
------
failed to solve: executor failed running [/bin/sh -c prefect deployment build /app/src/process_connection.py:process_connection_flow -n process_connection -q data-server -v $PREFECT_DATA_SERVER_FLOW_VERSION]: exit code: 1
ERROR: Command 'dip build' executed with error